import { extend, mergeData } from '../../vue';
import { NAME_BREADCRUMB_ITEM } from '../../constants/components';
import { makePropsConfigurable } from '../../utils/props';
import { props as props$1, BBreadcrumbLink } from './breadcrumb-link';

// --- Props ---

const props = makePropsConfigurable(props$1, NAME_BREADCRUMB_ITEM);

// --- Main component ---

// @vue/component
const BBreadcrumbItem = /*#__PURE__*/extend({
  name: NAME_BREADCRUMB_ITEM,
  functional: true,
  props,
  render(h, _ref) {
    let {
      props,
      data,
      children
    } = _ref;
    return h('li', mergeData(data, {
      staticClass: 'breadcrumb-item',
      class: {
        active: props.active
      }
    }), [h(BBreadcrumbLink, {
      props
    }, children)]);
  }
});

export { BBreadcrumbItem, props };
